Twenty One Capital, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/twenty-one-capital-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1748908800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://mempool.space/address/bc1qp7ngy8fdevakrqd98z0j27cl6vmeemtn9tc7mrsulcg8g3g52lkq92ulqr",
    "holding_balance": 37230.0,
    "holding_net_change": 917.5,
    "transaction_value_usd": 96723556.47500001,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1748908800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://mempool.space/address/bc1qpzt4m58zzqgp84ktyuj5tz8g8k8ssg2g2d5eeerwhx4gxulqq5mqjzm5gc",
    "holding_balance": 36312.0,
    "holding_net_change": 10500.0,
    "transaction_value_usd": 1106918085.0,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1753833600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://xxi.money/",
    "holding_balance": 43514.0,
    "holding_net_change": 6284.0,
    "transaction_value_usd": 740444662.5999999,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    43514.0
  ],
  [
    1783036800000,
    43514.0
  ],
  [
    1783123200000,
    43514.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782950400000,
    2675581434.62
  ],
  [
    1783036800000,
    2720755928.86
  ],
  [
    1783123200000,
    2745138998.76
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 4.81,
    "date": "2026-06-30",
    "high": 5.159,
    "open": 5.12,
    "close": 4.95,
    "volume": 1532600
  },
  {
    "low": 4.94,
    "date": "2026-07-01",
    "high": 5.465,
    "open": 4.94,
    "close": 5.38,
    "volume": 1272600
  },
  {
    "low": 5.395,
    "date": "2026-07-02",
    "high": 5.83,
    "open": 5.57,
    "close": 5.42,
    "volume": 1547200
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -18.74,
  "six_month_return": -40.11,
  "three_month_return": -10.71
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/twenty-one-capital-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 146.0,
  "total_btc_percentage": 0.207,
  "share_price_change_state": "down"
}